<?

class aboutus
	{
		var $obj1;
		var $con;
		// constructor
		function __construct()
		{
			$this->obj1 = new dboperations();
			$this->con = $this->obj1-> dbconnect();
			
		}
		
		function getaboutus($aboutusid='',$fields='*')
		{
			if ($aboutusid!='')
			{
				$sqltext = "Select $fields from mstaboutus where aboutusid='".$aboutusid."'";
			}
			else
			{
				$sqltext = "Select $fields from mstaboutus";
			}
				
			$prodapps = $this->obj1->select_query($sqltext);
			
			if ($prodapps)
			{
				$numrows = $this->obj1->numRows($prodapps);
			}
			if ($numrows ==1)
			{
				while ($prodappslist = mysql_fetch_assoc($prodapps))
				{
					$prodappstr[] = $prodappslist;
				}	
			}
			else if($numrows > 1)
			{
				while ($prodappslist = mysql_fetch_assoc($prodapps))
				{
					$prodappstr[] = $prodappslist;
				}
			}
			return $prodappstr;
		}
		
		// example for adding product data		//            $data['productname'] = 'product1';
		//            $data['proudctdesc'] = "product desc";
		//            $data['productimagebig'] = '/images/product1.jpg';
		//            $data = $obj->addproduct($data);
		
		function addaboutus($applicationdata)
		{
			if (is_array($applicationdata)== false)
			{
				return false;
			}
			else
			{
				$fieldnames =  "(";
				$fieldvalues = "(";
				foreach ($applicationdata as $k => $v) 
				{
					
					$fieldnames .=  ($fieldnames=="(")?"$k":",$k";
					$fieldvalues .= ($fieldvalues=="(")?"'$v'":",'$v'";
				}
				$sqltext = "insert into mstaboutus ".$fieldnames.") values ".$fieldvalues.")";
				//echo $sqltext;
				$applications = $this->obj1->insert_query($sqltext);
				return ($applications == 1)?"true":"false";
				
			}
		}
		function editaboutus($applicationdata,$wherecondition)
		{
			if (is_array($applicationdata)== false)
			{
				return false;
			}
			else
			{
				$fieldnamesvalues =  "set ";
				
				foreach ($applicationdata as $k => $v) 
				{
					$fieldnamesvalues .=  ($fieldnamesvalues =="set ")?"$k='$v'":",$k='$v'";
				}
				$sqltext = "update mstaboutus ".$fieldnamesvalues." where ".$wherecondition ;
				//echo $sqltext;
				$applications = $this->obj1->update_query($sqltext);
				return ($applications == 1)?"true":"false";
				
			}
		}
	}
?>